ReturnStatement (groovy 2.4.7 API)
Date: 2016-06-03

Package: org.codehaus.groovy.ast.stmt

## [Java] Class ReturnStatement

- org.codehaus.groovy.ast.stmt.ReturnStatement

- A return statement

  Authors:
    James Strachan

- - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `static ReturnStatement` | `RETURN_NULL_OR_VOID` | Only used for synthetic return statements emitted by the compiler.

  - ### Constructor Summary

    Constructors
    Constructor and description
    `ReturnStatement (ExpressionStatement statement)`
    `ReturnStatement (Expression expression)`

  - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `Expression` | `getExpression()`
    `String` | `getText()`
    `boolean` | `isReturningNullOrVoid()`
    `void` | `setExpression(Expression expression)`
    `void` | `visit(GroovyCodeVisitor visitor)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Statement` | `addStatementLabel, getStatementLabel, getStatementLabels, isEmpty, setStatementLabel`
    `class ASTNode` | `copyNodeMetaData, getColumnNumber, getLastColumnNumber, getLastLineNumber, getLineNumber, getNodeMetaData, getNodeMetaData, getText, putNodeMetaData, removeNodeMetaData, setColumnNumber, setLastColumnNumber, setLastLineNumber, setLineNumber, setNodeMetaData, setSourcePosition, visit`
    `class Object` | `wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll`

- - ### Field Detail

    - #### public static final ReturnStatement RETURN_NULL_OR_VOID

      Only used for synthetic return statements emitted by the compiler. For comparisons use isReturningNullOrVoid() instead.

  - ### Constructor Detail

    - #### public ReturnStatement(ExpressionStatement statement)

    - #### public ReturnStatement(Expression expression)

  - ### Method Detail

    - #### public Expression getExpression()

    - #### public String getText()

    - #### public boolean isReturningNullOrVoid()

    - #### public void setExpression(Expression expression)

    - #### public void visit(GroovyCodeVisitor visitor)